.::SWF::CXform(3)

NAME
SWF::CXform - SWF CXform class

SYNOPSIS
        use SWF::CXform;
        $cxf = new SWF::CXform();
        $cxf->setColorAdd(100, 200, 30.5 , -50);
        $dispitem->setCXform($cxf);

DESCRIPTION
SWF::CXform is a helper class useful for color transformations on SWF::DisplayItem objects.

METHODS

new SWF::CXform( [ $rAdd ], [ $gAdd ], [ $bAdd ], [ $aAdd ], [ $rMult ], [ $gMult ], [ $bMult ], [$aMult] )
    Creates a CXform object. The object is controlled by a parameter list of RGBA values both for addition and multiplication. All of them are optional, but could be set later via setColorAdd() and setColorMult() methods. Default values for the xAdd parameters are 0, and for xMult defaults are 1. Use the created object as parameter for transformations on SWF::DisplayItem objects.

setColorAdd($rAdd, $gAdd, $bAdd, $aAdd)
    Set addition values of a CXform object.

setColorMult($rMult, $gMult, $bMult, $aMult)
    Set multiplication values of a CXform object.

AUTHOR
        developers of
        ming.sourceforge.net

SEE ALSO
SWF, SWF::DisplayItem, SWF::Filter